## org.eclipse.datatools.sqltools.data.internal.core.common.data
Class PreparedStatementWriter

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.common.data.PreparedStatementWriter

    public class PreparedStatementWriter

extends java.lang.Object

Constructor Summary
`PreparedStatementWriter()`

Method Summary
`static void` `write(java.sql.PreparedStatement pst, int column, int type, java.lang.Object val)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStatementWriter

    public PreparedStatementWriter()

Method Detail

### write

    public static void write(java.sql.PreparedStatement pst,
                             int column,
                             int type,
                             java.lang.Object val)
                      throws java.sql.SQLException,
                             java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`